logread(1) "logread"

# NAME

logread - fetch log messages from the logbookd socket

# SYNOPSIS

logread [OPTIONS]

OPTIONS := { -f | -F | -n limit | -d datefmt | -u unit  | -b boot | -c color | -h }

# DESCRIPTION

Connects to the running logbookd instance and queries the database for old or
realtime log messages.

# OPTIONS

*-h*
	Show the help message and quit.

*-c { on | off }*
	Force enable or disable the colorized output.

*-f*
	Show only new log messages as they come in in realtime.

*-F*
	Show log messages as they come in but first output historical log messages.

*-n count*
	Number of historical log messages to fetch after filtering. Defaults to 100

*-d datefmt*
	Override the datetime formatting in the log output. Defaults
	to %b %d %H:%M:%S

*-u unit*
	Show only log messages for this specific service. This matches the prefix of
	the syslog "app" field

*-b { boot-index | boot-id | "list" }*
	Get only the log messages matching a specific boot-id. This parameter
	accepts the boot as a relative index or as an uuid to specify an absolute
	boot event. Use the special value "list" to display a list of stored boot
	logs instead.

# SEE ALSO

logbookd(1)
